From 8a3d27e81dcc40c203a38fa3011e34d305c570c3 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Thu, 27 Apr 2023 22:15:02 +0800
Subject: [PATCH 2/3] examine_stack.cc: fix ppc for macOS

---
 src/absl/debugging/internal/examine_stack.cc | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/src/absl/debugging/internal/examine_stack.cc b/src/absl/debugging/internal/examine_stack.cc
index 5bdd341..0ce7b2f 100644
--- a/src/absl/debugging/internal/examine_stack.cc
+++ b/src/absl/debugging/internal/examine_stack.cc
@@ -223,6 +223,12 @@ void* GetProgramCounter(void* const vuc) {
 #else
     return reinterpret_cast<void*>(signal_ucontext->uc_mcontext->ss.rip);
 #endif
+#elif defined(__POWERPC__)
+#if __DARWIN_UNIX03
+    return reinterpret_cast<void*>(signal_ucontext->uc_mcontext->__ss.__srr0);
+#else
+    return reinterpret_cast<void*>(signal_ucontext->uc_mcontext->ss.srr0);
+#endif
 #endif
   }
 #elif defined(__akaros__)
-- 
2.40.0

